
Redmine - Defect #12930

404 Error when referencing different project source files in the wiki syntax

2013-01-21 15:40 - Sébastien Aubry

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 2.2.3   

Resolution: Fixed Affected version:  

Description

Hi,

When posting the following message, referencing source files from two different Redmine projects, I get an invalid link: the first

referenced project is kept when generating the second link, instead of using the project of the current demand.

"[...] (see project1:r30671) [...] in source file source:my_file.cpp@10371#L347" 

 The first generated link is: http://server/redmine/projects/project1/repository/revisions/30671 . It works fine.

The second generated link is: http://server/redmine/projects/project1/repository/revisions/10371/entry/my_file.cpp#L347. It is invalid

because it refers to project1 while my demand is about another project.

If I only write the second link:

"[...] (see r30671 of project1) [...] in source file source:my_file.cpp@10371#L347" 

then the generated link works fine:

http://server/redmine/projects/project2/repository/revisions/10371/entry/my_file.cpp#L347 where project2 is the current project.

Related issues:

Has duplicate Redmine - Defect #13000: Links to revisions not replaced after ... Closed

Associated revisions

Revision 11258 - 2013-01-22 21:40 - Jean-Philippe Lang

Wrong redmine link after referencing an object from a different project (#12930).

Revision 11361 - 2013-02-12 18:56 - Jean-Philippe Lang

Merged r11258 from trunk (#12930).

History

#1 - 2013-01-22 21:41 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.3

- Resolution set to Fixed

Fixed in r11258, thanks for pointing this out.

#2 - 2013-02-12 18:56 - Jean-Philippe Lang

- Status changed from Resolved to Closed
